Xerces-C++: PSVIHandler Class Reference

Xerces-C++ 3.2.2

Protected Member Functions | List of all members
PSVIHandler Class Referenceabstract

This abstract class provides the interface for the scanner to return PSVI information to the application. More...

Inheritance diagram for PSVIHandler:

## Public Member Functions
Destructor
virtual | ~PSVIHandler ()
The PSVI handler interface
virtual void | handleElementPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIElement *elementInfo)=0
| Receive notification of the PSVI properties of an element. More...
virtual void | handlePartialElementPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIElement *elementInfo)
| Receive notification of partial PSVI properties of an element. More...
virtual void | handleAttributesPSVI (const XMLCh *const localName, const XMLCh *const uri, PSVIAttributeList *psviAttributes)=0
| Enables PSVI information about attributes to be passed back to the application. More...

## Protected Member Functions
| PSVIHandler ()

## Detailed Description

This abstract class provides the interface for the scanner to return PSVI information to the application.

## Constructor & Destructor Documentation

## ◆ ~PSVIHandler()

virtual PSVIHandler::~PSVIHandler | ( |  | ) |
| virtual

## ◆ PSVIHandler()

PSVIHandler::PSVIHandler | ( |  | ) |
| protected

## Member Function Documentation

## ◆ handleAttributesPSVI()

virtual void PSVIHandler::handleAttributesPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIAttributeList * | psviAttributes
| ) |  |
| pure virtual

Enables PSVI information about attributes to be passed back to the application.

This callback will be made on all elements; on elements with no attributes, the final parameter will be null.

Parameters

  localName | The name of the element upon which start tag these attributes were encountered.
  uri | The namespace to which the element is bound
  psviAttributes | Object containing the attributes' PSVI properties with information to identify them.

Implemented in AbstractDOMParser.

## ◆ handleElementPSVI()

virtual void PSVIHandler::handleElementPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIElement * | elementInfo
| ) |  |
| pure virtual

Receive notification of the PSVI properties of an element.

The scanner will issue this call after the XMLDocumentHandler endElement call. Since the scanner will issue the psviAttributes call immediately after reading the start tag of an element, all element content will be effectively bracketed by these two calls.

Parameters

  localName | The name of the element whose end tag was just parsed.
  uri | The namespace to which the element is bound
  elementInfo | Object containing the element's PSVI properties

Implemented in AbstractDOMParser.

## ◆ handlePartialElementPSVI()

void PSVIHandler::handlePartialElementPSVI | ( | const XMLCh *const | localName,
|  | const XMLCh *const | uri,
|  | PSVIElement * | elementInfo
| ) |  |
| virtual

Receive notification of partial PSVI properties of an element.

This callback is made right after the psviAttributes call for non-empty element.

The PSVIElement passed in has all fields properly set and it can be safely accessed the same way as the one passed in handleElementPSVI. However, fields listed below always have default values.

getValidity() PSVIItem::VALIDITY_NOTKNOWN getValidationAttemped() PSVIItem::VALIDATION_NONE getMemberTypeDefinition() 0 getSchemaNormalizedValue() 0 getCanonicalRepresentation() 0 getNotationDeclaration() 0

Parameters

  localName | The name of the element upon which start tag these attributes were encountered.
  uri | The namespace to which the element is bound
  elementInfo | Object containing the element's partial PSVI properties

Reimplemented in AbstractDOMParser.

References XERCES_CPP_NAMESPACE_END.

The documentation for this class was generated from the following file:

- PSVIHandler.hpp